Skip to main content
GET
/
v1
/
charts
/
{chart_id}
Get a chart
curl --request GET \
  --url https://api.honeyhive.ai/v1/charts/{chart_id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "metric": "<string>",
    "func": "<string>",
    "groupBy": "<string>",
    "bucketing": "<string>",
    "dateRange": {},
    "query": [
      {
        "field": "<string>",
        "value": "<string>",
        "type": "<string>",
        "operator": "<string>"
      }
    ],
    "owner_id": "<string>",
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "owner_profile": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chart_id
string
required

The unique identifier of the chart to retrieve

Response

200 - application/json

Chart retrieved successfully

success
boolean
required
data
object
required